로그
로그 파일 내용 조회
GET
/
endpoints
/
{endpoint_id}
/
logs
/
file
로그 파일 내용 조회
curl --request GET \
--url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"start_line": 123,
"end_line": 123
}인증
API Key를 Bearer 토큰으로 전달합니다. 프로젝트 개요의 API 키 메뉴에서 생성할 수 있습니다.
경로 매개변수
엔드포인트 고유 ID
쿼리 매개변수
로그 파일이 위치한 노드 ID. /logs 응답의 node_id 값 사용
로그 파일 경로. /logs 응답의 filename 값 사용
읽기 시작할 라인 번호. 1부터 시작
필수 범위:
x >= 1읽기 종료할 라인 번호. 최대 50000
필수 범위:
1 <= x <= 50000⌘I
로그 파일 내용 조회

